> For the complete documentation index, see [llms.txt](https://docs.avonnicomponents.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.avonnicomponents.com/experience-cloud/tutorials/general/expressions-for-aura-sites.md).

# Expressions for Aura Sites

You can access property values and other information to pass into a component's attributes with expressions.

An expression is any set of literal values, variables, subexpressions, or operators that can be resolved to a single value. Method calls aren’t allowed in expressions.

The expression syntax is {!expression}, where expression is a placeholder for the expression.

These expressions display the authenticated user’s information, images associated with data categories, or record information on a site page.

| Expression                                                                  | Displays                                                                                                                                                                     |
| --------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **`{!CurrentUser.name}`**                                                   | Combined first and last name of the user, as displayed on the user detail page.                                                                                              |
| **`{!CurrentUser.firstName}`**                                              | First name of the user, as displayed on the user edit page.                                                                                                                  |
| **`{!CurrentUser.lastName}`**                                               | Last name of the user, as displayed on the user edit page.                                                                                                                   |
| **`{!CurrentUser.userName}`**                                               | Administrative field that defines the user’s login.                                                                                                                          |
| **`{!CurrentUser.id}`**                                                     | Salesforce ID of the user.                                                                                                                                                   |
| **`{!CurrentUser.email}`**                                                  | Email address of the user.                                                                                                                                                   |
| **`{!CurrentUser.communityNickname}`**                                      | Name used to identify the user in a site.                                                                                                                                    |
| **`{!CurrentUser.accountId}`**                                              | Account ID associated with the user. This expression displays a valid account ID for partner and customer users. For all others, it displays '000000000000000'.              |
| **`{!CurrentUser.effectiveAccountId}`**                                     | Account ID associated with the effective account. This expression displays a valid account ID for partner and customer users. For all others, it displays '000000000000000'. |
| **`{!Global.PathPrefix}/{!DataCategory.Name}.jpg`**                         | Image associated with the data category in a search component.                                                                                                               |
| **`{!Global.PathPrefix}/<Name of the Subfolder>/{!DataCategory.Name}.jpg`** | Image associated with the data category in a subfolder in a search component.                                                                                                |
| **`{!recordId}`**                                                           | 15-digit record ID on object pages.                                                                                                                                          |
| **`{!term}`**                                                               | Expression that returns the HTML-encoded search term in the Aura-based standard search page.                                                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.avonnicomponents.com/experience-cloud/tutorials/general/expressions-for-aura-sites.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
